summary refs log tree commit diff
path: root/www
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--www/git.causal.agency/source-filter.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/www/git.causal.agency/source-filter.sh b/www/git.causal.agency/source-filter.sh
index 924744bd..9f150e78 100644
--- a/www/git.causal.agency/source-filter.sh
+++ b/www/git.causal.agency/source-filter.sh
@@ -7,12 +7,12 @@ htagml=/usr/local/libexec/htagml
 
 case "$1" in
 	(*.[chlmy])
-		src=$(mktemp -t source-filter)
-		tag=$(mktemp -t source-filter)
-		trap 'rm -f "${src}" "${tag}"' EXIT
-		cat >"${src}"
-		$ctags -w -f "${tag}" "${src}"
-		$hilex -n "$1" -f html "${src}" | $htagml -i -f "${tag}" "${src}"
+		tmp=$(mktemp -d -t source-filter)
+		trap 'rm -fr "${tmp}"' EXIT
+		cd "${tmp}"
+		cat >"$1"
+		$ctags -w "$1"
+		$hilex -f html "$1" | $htagml -i "$1"
 		;;
 	(*)
 		exec $hilex -t -n "$1" -f html
='2018-08-07 14:58:32 -0400'>2018-08-07Populate tab-complete listJune McEnroe 2018-08-07Fix /me formatting side-effectsJune McEnroe 2018-08-07Define ui.c BUF_LEN with enumJune McEnroe 2018-08-07Hack clang into checking uiFmt format stringsJune McEnroe 2018-08-07Handle PART and QUIT without messagesJune McEnroe 2018-08-07Make safe filling the who bufferJune McEnroe 2018-08-07Add reverse and reset IRC formatting codesJune McEnroe 2018-08-06Rewrite line editing again, add formattingJune McEnroe 2018-08-06Fix allocation size in vaswprintfJune McEnroe 2018-08-06Implement word wrappingJune McEnroe 2018-08-06Use wchar_t strings for all of UIJune McEnroe 2018-08-06Rename line editing functionsJune McEnroe 2018-08-05Initialize all possible color pairsJune McEnroe 2018-08-05Refactor color initializationJune McEnroe 2018-08-05Add ^L redrawJune McEnroe 2018-08-05Use 16 colors if availableJune McEnroe 2018-08-05Limit parsed colors to number of mIRC colorsJune McEnroe 2018-08-04Show source link on exitJune McEnroe 2018-08-04Implement line editing, scrollingJune McEnroe 2018-08-04Handle /topicJune McEnroe